OGRE-Next: Ogre::v1::NumericKeyFrame Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::NumericKeyFrame Class Referencefinal
Core » Animation

Specialised KeyFrame which stores any numeric value. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::v1::NumericKeyFrame:
[legend]

## Public Member Functions
| NumericKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~NumericKeyFrame () override
KeyFrame * | _clone (AnimationTrack *newParent) const override
| Clone a keyframe (internal use only)
virtual const AnyNumeric & | getValue () const
| Get the value at this keyframe.
virtual void | setValue (const AnyNumeric &val)
| Set the value at this keyframe.
Public Member Functions inherited from Ogre::v1::KeyFrame
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime () const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

Specialised KeyFrame which stores any numeric value.

## Constructor & Destructor Documentation

## ◆ NumericKeyFrame()

Ogre::v1::NumericKeyFrame::NumericKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~NumericKeyFrame()

Ogre::v1::NumericKeyFrame::~NumericKeyFrame | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ _clone()

KeyFrame * Ogre::v1::NumericKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| overridevirtual

Clone a keyframe (internal use only)

Reimplemented from Ogre::v1::KeyFrame.

References Ogre::v1::KeyFrame::KeyFrame().

## ◆ getValue()

virtual const AnyNumeric & Ogre::v1::NumericKeyFrame::getValue | ( |  | ) | const
| virtual

Get the value at this keyframe.

## ◆ setValue()

virtual void Ogre::v1::NumericKeyFrame::setValue | ( | const AnyNumeric & | val | ) |
| virtual

Set the value at this keyframe.

Remarks
  All keyframe values must have a consistent type.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h